Subject: bug#65604: [PATCH] Display the exit code if the last command failed in Eshell

From: Davide Masserut <[email-masked]>
Date: Thu, 31 Aug 2023 11:31:53 +0200

Eli Zaretskii <[email-masked]> writes:

> Ah, that.  Yes, the properties will be ignored.  But do we 
> really need
> fancy faces on that display?

They make the error stand out.

> (FWIW, I personally don't like the idea of showing this on the 
> mode
> line: the mode line is already quite cramped

I agree with you, this is one of the main reasons I had in mind 
when I made the first patch.

> and OTOH Bash does show abnormal exit codes as part of its 
> prompt.  But feel free to disregard
> my opinions, as I'm not a heavy user of Eshell.)

fish and some zsh distributions also show the error in the prompt.